ConnectionPoolDataSource (Java Platform SE 8 )
Keywords: javax.sql.ConnectionPoolDataSource interface
Date: 2015-05-24

compact2, compact3
javax.sql

## Interface ConnectionPoolDataSource

- All Superinterfaces:
    CommonDataSource

      public interface ConnectionPoolDataSource
      extends CommonDataSource

  A factory for `PooledConnection` objects. An object that implements this interface will typically be registered with a naming service that is based on the Java™ Naming and Directory Interface (JNDI).
  Since:
    1.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PooledConnection` | `getPooledConnection()` Attempts to establish a physical database connection that can be used as a pooled connection.
    `PooledConnection` | `getPooledConnection(String user, String password)` Attempts to establish a physical database connection that can be used as a pooled connection.

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

- - ### Method Detail

    - #### getPooledConnection

          PooledConnection getPooledConnection()
                                        throws SQLException

      Attempts to establish a physical database connection that can be used as a pooled connection.
      Returns:
        a `PooledConnection` object that is a physical connection to the database that this `ConnectionPoolDataSource` object represents
      Throws:
        `SQLException` - if a database access error occurs
        `SQLFeatureNotSupportedException` - if the JDBC driver does not support this method
      Since:
        1.4

    - #### getPooledConnection

          PooledConnection getPooledConnection(String user,
                                               String password)
                                        throws SQLException

      Attempts to establish a physical database connection that can be used as a pooled connection.
      Parameters:
        `user` - the database user on whose behalf the connection is being made
        `password` - the user's password
      Returns:
        a `PooledConnection` object that is a physical connection to the database that this `ConnectionPoolDataSource` object represents
      Throws:
        `SQLException` - if a database access error occurs
        `SQLFeatureNotSupportedException` - if the JDBC driver does not support this method
      Since:
        1.4

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.